<?php
require '../conn/conn.php';
require '../conn/function.php';
require 'admin_check.php';
$page=$_GET["page"];
$action=$_GET["action"];
$D_id=intval($_GET["D_id"]);

if($page==""){
  $page=1;
}

if($D_id!=""){
  $aa="edit&D_id=".$D_id;
  $sql="select * from sl_domain where D_id=".$D_id;
  $result = mysqli_query($conn, $sql);
  $row = mysqli_fetch_assoc($result);
  if (mysqli_num_rows($result) > 0) {
    $D_domain=$row["D_domain"];
    $D_http=$row["D_http"];
  }
  $title="编辑";
}else{
  $aa="add";
  $title="新增";
}


if($action=="add"){

  $D_domain=$_POST["D_domain"];
  $D_http=$_POST["D_http"];
  if($D_domain!=""){
    mysqli_query($conn,"insert into sl_domain(D_domain,D_http) values('$D_domain','$D_http')");
    $D_id=getrs("select * from sl_domain where D_domain='$D_domain'","D_id");
    die("{\"msg\":\"success\",\"id\":\"".$D_id."\"}");
  }else{
    die("{\"msg\":\"请填全信息\"}");
  }
}

if($action=="edit"){

  $D_domain=$_POST["D_domain"];
  $D_http=$_POST["D_http"];
  if($D_domain!=""){
  mysqli_query($conn, "update sl_domain set
    D_http='$D_http',
    D_domain='$D_domain'
    where D_id=".$D_id);
    die("{\"msg\":\"success\",\"id\":\"".$D_id."\"}");
  }else{
    die("{\"msg\":\"请填全信息\"}");
  }
}

if($action=="delall"){
  $id=$_POST["id"];
  if(count($id)>0) {
    $shu=0 ;
    for ($i=0 ;$i<count($id);$i++ ) {
      mysqli_query($conn,"delete from sl_domain where D_id=".intval($id[$i]));
      $shu=$shu+1 ;
      $ids=$ids.$id[$i].",";
    }
    $ids= substr($ids,0,strlen($ids)-1);
    if($shu>0) {
      die("{\"msg\":\"success\",\"ids\":\"".$ids."\"}");
    } else {
      die("{\"msg\":\"删除失败\"}");
    }
  } else {
    die("{\"msg\":\"未选择要删除的内容\"}");
  }
}

$sql="select count(D_id) as D_count from sl_domain";
$result = mysqli_query($conn, $sql);
$row = mysqli_fetch_assoc($result);
$D_counts=$row["D_count"];
?>
<!DOCTYPE html>
<html lang="zh">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" />
<title>自定义域名管理 - 后台管理</title>
<link rel="icon" href="../media/<?php echo $C_ico?>" type="image/ico">
<link href="../css/bootstrap.min.css" rel="stylesheet">
<link href="../css/materialdesignicons.min.css" rel="stylesheet">
<link href="../css/style.min.css" rel="stylesheet">
<script type="text/javascript" src="../upload/upload.js"></script>
<link rel="stylesheet" href="../js/jconfirm/jquery-confirm.min.css">
<style type="text/css">

.showpic{height: 100px;border: solid 1px #DDDDDD;padding: 5px;}
.showpicx{width: 100%;max-width: 500px}
.list-group a{text-decoration:none}
.part{display:inline-block;width:40%;overflow:hidden;text-overflow:ellipsis;white-space: nowrap;}
.pagination{margin: 0px;}
</style>
</head>
  
<body>
<div class="lyear-layout-web">
  <div class="lyear-layout-container">
  <?php require 'nav.php';?>
    <main class="lyear-layout-content">
      
      <div class="container-fluid">
        
        <div class="row">
                
                <div class="col-lg-5">
                  <form id="list">
                  <div class="card card-primary">

                    <div class="card-header">
                      <h4>自定义域名列表</h4>
                    </div>
                        <ul class="list-group">
                          <li class="list-group-item " style="background: #f7f7f7">自定义域名</li>
                          <?php 
                            $sql="select * from sl_domain order by D_id desc limit ".(($page-1)*10).",10";
                                $result = mysqli_query($conn, $sql);
                                if (mysqli_num_rows($result) > 0) {
                                while($row = mysqli_fetch_assoc($result)) {
                                  if($row["D_id"]==$D_id){
                                    $active="active";
                                  }else{
                                    $active="";
                                  }

                                  echo "<a id=\"".$row["D_id"]."\" href=\"?D_id=".$row["D_id"]."\" class=\"list-group-item ".$active."\">
                                  <input type=\"checkbox\" name=\"id[]\" value=\"".$row["D_id"]."\"> 
                                  
                                  ".$row["D_http"].$row["D_domain"]."
                                  
                                  </a>";
                                }
                              }
                          ?>
                          
                        </ul>
                  </div>
                  <label><input type="checkbox" id="selectAll" name="selectAll"> 全选</label>
                  <button class="btn btn-sm btn-danger" type="button" onClick="delall()"><i class="fa fa-times-circle" ></i> 删除所选</button>
                  <a href="domain.php" class="btn btn-sm btn-primary"><i class="fa fa-plus-circle"></i> 新增域名</a>
                  <ul class="pagination" id="pagination" style="float: right;"></ul>
                  <input type="hidden" id="PageCount" runat="server" />
        <input type="hidden" id="PageSize" runat="server" value="10" />
        <input type="hidden" id="countindex" runat="server" value="10"/>
        <!--设置最多显示的页码数 可以手动设置 默认为7-->
        <input type="hidden" id="visiblePages" runat="server" value="7" />
                </form>
                </div>

                
                <div class="col-lg-7">
                  <div class="card card-primary">
                    <div class="card-header ">
                      <h4>功能说明</h4>
                    </div>

                    <div class="card-body">
                      <p>1.为防止主域名被拦截，请至少添加一个自定义域名，可以为任意级别域名，跳转时会随机选择使用一个域名</p>
                      <p>2.请先完成域名的解析和绑定，再添加该域名，以保证功能正常使用</p>
                    </div>
                  </div>
                  <form id="form">
                  <div class="card card-primary">
                    <div class="card-header ">
                      <h4><?php echo $title?>自定义域名</h4>
                    </div>

                    <div class="card-body">

                          <div class="form-group row">
                            <label class="col-md-3 col-form-label" >自定义域名</label>
                            <div class="col-md-9">

                              <div class="input-group" style="width: 100%">
                                <select class="form-control" name="D_http" style="width: 20%;display: inline-block;">
                                  <option value="http://" <?php if($D_http=="http://"){echo "selected='selected'";}?>>http://</option>
                                  <option value="https://" <?php if($D_http=="https://"){echo "selected='selected'";}?>>https://</option>
                                </select><input type="text"  name="D_domain" class="form-control" value="<?php echo $D_domain?>" style="width: 80%;display: inline-block;">
        </div>

                            </div>
                          </div>

                        <div class="form-group row">
                          <label class="col-md-3 col-form-label" ></label>
                          <div class="col-md-9">
                            <button class="btn btn-info" type="button" onClick="save()"><?php echo $title?></button>
                          </div>
                        </div>
                    </div>
                  </div>
                  </form>
                </div>
              </div>
        
      </div>
      
    </main>
    <!--End 页面主要内容-->
  </div>
</div>

<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/bootstrap.min.js"></script>
<script type="text/javascript" src="../js/perfect-scrollbar.min.js"></script>
<script type="text/javascript" src="../js/main.min.js"></script>

<script src="../js/bootstrap-notify.min.js"></script>
<script type="text/javascript" src="../js/lightyear.js"></script>
<script src="../js/jqPaginator.min.js" type="text/javascript"></script>
<script src="../js/help.js" type="text/javascript"></script>
<script src="../js/jconfirm/jquery-confirm.min.js"></script>
<script type="text/javascript">

  function loadData(num) {
            $("#PageCount").val("<?php echo $D_counts?>");
        }
function loadpage(id) {
    var myPageCount = parseInt($("#PageCount").val());
    var myPageSize = parseInt($("#PageSize").val());
    var countindex = myPageCount % myPageSize > 0 ? (myPageCount / myPageSize) + 1 : (myPageCount / myPageSize);
    $("#countindex").val(countindex);

    $.jqPaginator('#pagination', {
        totalPages: parseInt($("#countindex").val()),
        visiblePages: parseInt($("#visiblePages").val()),
        currentPage: id,
        first: '<li class="first page-item"><a href="javascript:;" class="page-link">|<</a></li>',
        prev: '<li class="prev page-item"><a href="javascript:;" class="page-link"><i class="arrow arrow2"></i><</a></li>',
        next: '<li class="next page-item"><a href="javascript:;" class="page-link">><i class="arrow arrow3"></i></a></li>',
        last: '<li class="last page-item"><a href="javascript:;" class="page-link">>|</a></li>',
        page: '<li class="page page-item"><a href="javascript:;" class="page-link">{{page}}</a></li>',
        onPageChange: function (num, type) {
            if (type == "change") {
                window.location="?page="+num;
            }
        }
    });
}
$(function () {
    loadData(<?php echo $page?>);
    loadpage(<?php echo $page?>);

});

    function save(){
      lightyear.loading('show');
        $.ajax({
                url:'?action=<?php echo $aa?>',
                type:'post',
                data:$("#form").serialize(),
                success:function (data) {
	                data=JSON.parse(data);
	                lightyear.loading('hide');
	                if(data.msg=="success"){
	                	lightyear.notify('保存成功', 'success', 100);
	                	setTimeout("window.location.href='?D_id="+data.id+"'", 2000 )
	                }else{
	                  	lightyear.notify(data.msg, 'danger', 100);
	                }
                }
              });
      }

      function delall() {

    $.alert({
        title: '确认删除',
        content: '确认删除？',
    buttons: {
      confirm: {
        text: '确认',
        btnClass: 'btn-primary',
        action: function(){
          $.ajax({
            url: '?action=delall',
            type: 'post',
            data: $("#list").serialize(),
            success: function(data) {
                data = JSON.parse(data);
                if (data.msg == "success") {
                	lightyear.notify('删除成功', 'success', 100);
                    id = data.ids.split(",");
                    for (var i = 0; i < id.length; i++) {
                        $("#" + id[i]).hide();
                    };
                } else {
                	lightyear.notify(data.msg, 'danger', 100);

                }
            }
        });
        }
      },
      cancel: {
        text: '取消',
        action: function () {

        }
      }
    }
    });

}

$('input[name="selectAll"]').on("click",function(){
        if($(this).is(':checked')){
            $('input[name="id[]"]').each(function(){
                $(this).prop("checked",true);
            });
        }else{
            $('input[name="id[]"]').each(function(){
                $(this).prop("checked",false);
            });
        }
    });
  var path=window.location.pathname;
  $("a").each(function(){
    if(path.indexOf($(this).attr("href"))!=-1){
      console.log($(this).attr("href"));
      $(this).parent("li").addClass("active");
      $(this).parent("li").parent("ul").parent("li").addClass("open active");
    }
  });
</script>
</body>
</html>